New customers: 5% off orders over $300 | Worldwide shipping from Shenzhen · 30,000+ technicians served Track Your Order FAQ

Screen Repair Tools

Start with the exact device model when choosing replacement parts. For repair equipment, compare the task, supported models, voltage and plug, compatible tips or fixtures, and package contents.

179 products found

Category

Brand

Price (USD)

—

Sort by

Reset
179 products found
Pull Tape Sticker for Phone LCD OCA Repair NEW
Best
Pull Tape Sticker for Phone LCD OCA Repair
No reviews yet · In Stock
$0.01
CODE: RF-RFC016
Laser Separate Machine Back Cover Protect Mold for iPhone 8-14 ProMax -90%
M-Triangel
Laser Separate Machine Back Cover Protect Mold for iPhone 8-14 ProMax
No reviews yet · In Stock
$9.90 $99.00
CODE: LS-LSR009
Apparatus Ligamentosus Weitbrechti Soft Silicone 16 x 16cm For Phone Repair -17%
M-Triangel
Apparatus Ligamentosus Weitbrechti Soft Silicone 16 x 16cm For Phone Repair
No reviews yet · In Stock
$2.50 $3.00
CODE: RF-RFC017
iPhone 12 Pro Max Aluminium Alloy LCD Screen Laminating Positioning Mould NEW
Best
iPhone 12 Pro Max Aluminium Alloy LCD Screen Laminating Positioning Mould
No reviews yet · In Stock
$9.00
CODE: LM-MLD004
iPhone 12Pro Aluminium Alloy LCD Screen Laminating Positioning Mould NEW
Best
iPhone 12Pro Aluminium Alloy LCD Screen Laminating Positioning Mould
No reviews yet · In Stock
$9.00
CODE: LM-MLD005
TBK-202 Side Open Universal Unheated LCD Screen Separator
TBK
TBK-202 Side Open Universal Unheated LCD Screen Separator
No reviews yet · In Stock
$22.00 $24.00
CODE: HP-HTP025
i2C Combination Kit G200 Handles with Q5 Blades NEW
i2c
i2C Combination Kit G200 Handles with Q5 Blades
No reviews yet · In Stock
$8.00
CODE: GR-GLR012
MaAnt PHD Multifunctional Heating Pad 320*220mm NEW
MaAnt
MaAnt PHD Multifunctional Heating Pad 320*220mm
No reviews yet · In Stock
$27.99
CODE: HP-HTP026
Mechanic IR14 Mobile Phone Screen OCA Glue Cutting / Grinding All-in-one Electric Remover -14%
MECHANIC
Mechanic IR14 Mobile Phone Screen OCA Glue Cutting / Grinding All-in-one Electric Remover
No reviews yet · In Stock
$11.99 $13.99
CODE: GR-GLR013
iPhone 11 Pro Max Aluminum Mould with Silicone Mat Mold Laminator NEW
Best
iPhone 11 Pro Max Aluminum Mould with Silicone Mat Mold Laminator
No reviews yet · In Stock
$8.00
CODE: LM-MLD006
TBK-808A 13inch Vaccum Laminator Bubble Remover Machine -21%
TBK
TBK-808A 13inch Vaccum Laminator Bubble Remover Machine
No reviews yet · In Stock
$520.00 $658.00
CODE: LM-VAC006
SunShine S-918L Plus Mobile Phone Flat And Curved Screen Separator Machine
SunShine
SunShine S-918L Plus Mobile Phone Flat And Curved Screen Separator Machine
No reviews yet · In Stock
$66.99 $72.99
CODE: HP-HTP027
TBK 288M Manual Screen Disassembling Machine NEW
TBK
TBK 288M Manual Screen Disassembling Machine
No reviews yet · In Stock
$445.99
CODE: HP-HTP028
TBK 201D Phone Screen Heating And Pressing Machine NEW
TBK
TBK 201D Phone Screen Heating And Pressing Machine
No reviews yet · In Stock
$225.00
CODE: HP-HTP029
MaAnt QP-3 Screen Opener For Phone Tablet NEW
MaAnt
MaAnt QP-3 Screen Opener For Phone Tablet
No reviews yet · In Stock
$29.99
CODE: HP-HTP030
2UUL DA33 No-Damage Blue Light FilmCamera Lens Protective Sticker 500pcs/Box -13%
2UUL
2UUL DA33 No-Damage Blue Light FilmCamera Lens Protective Sticker 500pcs/Box
No reviews yet · In Stock
$2.59 $2.99
CODE: RF-RFC018
Touch Screen Separator Antiskid Rubber Mat 180 x 110 x 10 mm -67%
Best
Touch Screen Separator Antiskid Rubber Mat 180 x 110 x 10 mm
No reviews yet · In Stock
$1.00 $3.05
CODE: RF-RFC019
iPhone 11 Pro Aluminum Mould with Silicone Mat Mold Laminator NEW
Best
iPhone 11 Pro Aluminum Mould with Silicone Mat Mold Laminator
No reviews yet · In Stock
$8.00
CODE: LM-MLD007
TBK Automatic Center Positioning Mold for TBK 958A 958B 958C Laser Machine NEW
TBK
TBK Automatic Center Positioning Mold for TBK 958A 958B 958C Laser Machine
No reviews yet · In Stock
$69.00
CODE: LS-LSR010
iPhone 12 Mini Aluminium Alloy LCD Screen Laminating Positioning Mould NEW
Best
iPhone 12 Mini Aluminium Alloy LCD Screen Laminating Positioning Mould
No reviews yet · In Stock
$9.00
CODE: LM-MLD008
TBK R-2201 Intelligent Infrared Laser Disassembly Welding Machine -16%
TBK
TBK R-2201 Intelligent Infrared Laser Disassembly Welding Machine
No reviews yet · In Stock
$1,462.99 $1,749.00
CODE: LS-LSR011
Kaisi 946 Pro Phone Screen Seperator Machine For Flat And Curved Screen NEW
Kaisi
Kaisi 946 Pro Phone Screen Seperator Machine For Flat And Curved Screen
No reviews yet · In Stock
$79.99
CODE: HP-HTP031
TBK 215A Mobile Phone Middle Frame Repair Fixture NEW
TBK
TBK 215A Mobile Phone Middle Frame Repair Fixture
No reviews yet · In Stock
$64.99
CODE: HP-HTP032
2UUL DA32 Phone Mic Protective Sticker (For After Market Phone Repair) 500PCS/Pack NEW
2UUL
2UUL DA32 Phone Mic Protective Sticker (For After Market Phone Repair) 500PCS/Pack
No reviews yet · In Stock
$2.49
CODE: RF-RFC020

Subscribe to our newsletter

Be the first to know about new arrivals and promotions.